﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace GDIEngine
{
  
    public sealed class Vector2
    {

        private int _x = 0;
        private int _y = 0;

        /// <summary>
        /// Get or Set X Coordinates
        /// </summary>
        public int X { get { return _x; } set { _x = value; } }

        /// <summary>
        /// Get or set Y Coordinates
        /// </summary>
        public int Y { get { return _y; } set { _y = value; } }




        /// <summary>
        /// Vector2 Constructor
        /// </summary>
        /// <param name="x">X Coordinates</param>
        /// <param name="y">Y Coordinates</param>
        public Vector2(int x, int y)
        {
            X = x;
            Y = y;
        }

 


    }
}
